<template>
    <component :is="componentId" :query="data"></component>
</template>
<script>
import resultTableFujian from './resultTableFujian'
import resultTableProvinceNew from './resultTableProvinceNew'
// import resultTableProvince from './resultTableProvince'

import request from "@/utils/gw_ajax_request"
export default {
    data(){
        return{
            // componentId: 'resultTableProvince'
          componentId: 'resultTableProvinceNew',
          data:null
        }
    },
    //监听属性 类似于data概念
    computed: {
        persId() {
            return localStorage.getItem("userid")
                ? localStorage.getItem("userid")
                : "1098101939614724096";
        },
        currentOrgId(){
            return localStorage.getItem("currentOrgId") ? localStorage.getItem("currentOrgId") : ''
        }
    },
    components:{
        resultTableFujian,
        // resultTableProvince,
      resultTableProvinceNew
    },
    mounted(){
        this.data = this.$route.query;
        if(this.currentOrgId == '034'){
            this.componentId = 'resultTableFujian'
        } else{
          // this.componentId = 'resultTableProvince'
          this.componentId = 'resultTableProvinceNew'
        }
    },
    methods:{
    },
    watch:{
    }
}
</script>

<style >
    .report_tree{
        margin-top: 20px;
    }
</style>
